| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::Codec Struct Reference
Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

uint | identifier
QString | name
uint | clockrate
uint | channels
bool | updated
StringStringMap | parameters

## Detailed Description

Structure type generated from the specification.

A description of a codec.

## Member Data Documentation

uint Tp::Codec::identifier

Numeric identifier for the codec. This will be used as the PT in the SDP or content description.

QString Tp::Codec::name

The name of the codec.

uint Tp::Codec::clockrate

The clockrate of the codec.

uint Tp::Codec::channels

Number of channels of the codec if applicable, otherwise 0.

bool Tp::Codec::updated

This should be set to true in calls to CallContentMediaDescriptionInterface::Accept() and UpdateLocalMediaDescription() if this codec has changed in a way that needs to be signalled over the network. If it is set to false, the CM is allowed ignore any differences between the current parameters and the previous ones
This mechanism may be used to save bandwidth and avoid the CM having to calculate diffs against previous versions of this struct, which can lead to false-positives (e.g. redundant ptime updates).

StringStringMap Tp::Codec::parameters

Extra parameters for this codec.